import tkinter
import tkinter.ttk
import time

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        self.pack(padx=4, pady=4)

        self.create_widgets()
        self.master.title("Пример использования Progressbar")
        # Запрещаем изменять размеры окна
        self.master.resizable(False, False)

    def create_widgets(self):
        self.varValue = tkinter.IntVar()
        pgb = tkinter.ttk.Progressbar(self, maximum=9, variable=self.varValue)
        pgb.pack()
        btnOK = tkinter.ttk.Button(self, text="Запустить Progressbar", command=self.butOk)
        btnOK.pack()

    def butOk(self):
        for i in range(10):
            time.sleep(0.1) # Задержка
            self.varValue.set(i)
            root.update()

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
